Bug 87703 - [PATCH] finance/gnucash: update to 1.8.12
Summary: [PATCH] finance/gnucash: update to 1.8.12
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-10-20 07:30 UTC by Alex Varju
Modified: 2005-11-26 00:43 UTC (History)
0 users

See Also:


Attachments
gnucash-1.8.12.patch (10.75 KB, patch)
2005-10-20 07:30 UTC, Alex Varju
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alex Varju 2005-10-20 07:30:22 UTC
- Update to 1.8.12

Generated with FreeBSD Port Tools 0.63
Comment 1 Sergey Matveychuk freebsd_committer 2005-10-20 18:25:49 UTC
Build error on 4.11:
creating libgw-gnc.la
(cd .libs && rm -f libgw-gnc.la && ln -s ../libgw-gnc.la libgw-gnc.la)
LC_ALL=C ../../intltool-merge -d -u -c ../../po/.intltool-merge-cache 
../../po gnucash.desktop.in gnucash.desktop
Not enough arguments for mkdir at ../../intltool-merge line 975, near 
"$lang or"
Execution of ../../intltool-merge aborted due to compilation errors.
gmake[5]: *** [gnucash.desktop] Error 255
gmake[5]: Leaving directory 
`/work/a/ports/finance/gnucash/work/gnucash-1.8.12/src/gnome'
gmake[4]: *** [all-recursive] Error 1
gmake[4]: Leaving directory 
`/work/a/ports/finance/gnucash/work/gnucash-1.8.12/src/gnome'
gmake[3]: *** [all] Error 2
gmake[3]: Leaving directory 
`/work/a/ports/finance/gnucash/work/gnucash-1.8.12/src/gnome'
gmake[2]: *** [all-recursive] Error 1
gmake[2]: Leaving directory 
`/work/a/ports/finance/gnucash/work/gnucash-1.8.12/src'
gmake[1]: *** [all-recursive] Error 1
gmake[1]: Leaving directory 
`/work/a/ports/finance/gnucash/work/gnucash-1.8.12'
gmake: *** [all] Error 2
*** Error code 2

-- 
Sem.
Comment 2 Sergey Matveychuk freebsd_committer 2005-10-20 18:26:22 UTC
State Changed
From-To: open->feedback

Wait for maintainer feedback
Comment 3 Alex Varju 2005-10-21 05:47:58 UTC
(Not sure if my previous message went through, as my mail client 
crashed, so resending...)

It appears that the intltool-merge version included with the new gnucash
build does not work with older versions of Perl, as it isn't including
the MODE parameter to mkdir.  Here is an updated patch that uses a
similar patch to several other ports that suffer from the same problem.


# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	finance/gnucash
#	finance/gnucash/files
#	finance/gnucash/files/CVS
#	finance/gnucash/files/CVS/Root
#	finance/gnucash/files/CVS/Repository
#	finance/gnucash/files/CVS/Entries
#	finance/gnucash/files/patch-Makefile.in
#	finance/gnucash/files/patch-configure
#	finance/gnucash/files/patch-lib::srfi::srfi-8.scm
#	finance/gnucash/files/patch-ltmain.sh
#	finance/gnucash/files/patch-po::ru.po
#	finance/gnucash/files/patch-src::gnome::Makefile.in
#	finance/gnucash/files/patch-src_doc_Makefile.in
#	finance/gnucash/files/patch-src_app-utils_i18n.h
#	finance/gnucash/files/patch-PostgresBackend
#	finance/gnucash/files/patch-intltool-merge.in
#	finance/gnucash/CVS
#	finance/gnucash/CVS/Root
#	finance/gnucash/CVS/Repository
#	finance/gnucash/CVS/Entries
#	finance/gnucash/distinfo
#	finance/gnucash/pkg-descr
#	finance/gnucash/pkg-plist
#	finance/gnucash/Makefile
#
echo c - finance/gnucash
mkdir -p finance/gnucash > /dev/null 2>&1
echo c - finance/gnucash/files
mkdir -p finance/gnucash/files > /dev/null 2>&1
echo c - finance/gnucash/files/CVS
mkdir -p finance/gnucash/files/CVS > /dev/null 2>&1
echo x - finance/gnucash/files/CVS/Root
sed 's/^X//' >finance/gnucash/files/CVS/Root <<
'END-of-finance/gnucash/files/CVS/Root'
X/home/freebsd/cvsroot
END-of-finance/gnucash/files/CVS/Root
echo x - finance/gnucash/files/CVS/Repository
sed 's/^X//' >finance/gnucash/files/CVS/Repository <<
'END-of-finance/gnucash/files/CVS/Repository'
Xports/finance/gnucash/files
END-of-finance/gnucash/files/CVS/Repository
echo x - finance/gnucash/files/CVS/Entries
sed 's/^X//' >finance/gnucash/files/CVS/Entries <<
'END-of-finance/gnucash/files/CVS/Entries'
X/patch-lib::srfi::srfi-8.scm/1.2/Sun Aug 18 07:40:20 2002//
X/patch-ltmain.sh/1.4/Wed Feb  5 08:33:53 2003//
X/patch-src::gnome::Makefile.in/1.1/Thu Jul 11 17:15:57 2002//
X/patch-src_doc_Makefile.in/1.1/Wed Feb  5 06:12:43 2003//
X/patch-po::ru.po/1.3/Fri Feb 14 03:55:52 2003//
X/patch-src_app-utils_i18n.h/1.1/Fri Feb 14 18:30:05 2003//
X/patch-Makefile.in/1.2/Sun Feb 29 07:44:32 2004//
X/patch-configure/1.11/Sun Feb 29 07:44:32 2004//
X/patch-PostgresBackend/1.1/Tue Jul 27 14:23:18 2004//
XD
END-of-finance/gnucash/files/CVS/Entries
echo x - finance/gnucash/files/patch-Makefile.in
sed 's/^X//' >finance/gnucash/files/patch-Makefile.in <<
'END-of-finance/gnucash/files/patch-Makefile.in'
X--- Makefile.in~	Wed Oct 19 21:05:51 2005
X+++ Makefile.in	Wed Oct 19 21:06:29 2005
X@@ -412,7 +412,7 @@
X sharedstatedir = @sharedstatedir@
X sysconfdir = @sysconfdir@
X target_alias = @target_alias@
X-SUBDIRS = intl  m4  macros doc lib src intl-scm po rpm accounts
X+SUBDIRS = m4  macros doc lib src intl-scm po rpm accounts
X docdir = ${GNC_DOC_INSTALL_DIR}
X @GNC_FALSE@dummy_SOURCES = dummy.c
X noinst_DATA = make-gnucash-patch make-gnucash-potfiles
END-of-finance/gnucash/files/patch-Makefile.in
echo x - finance/gnucash/files/patch-configure
sed 's/^X//' >finance/gnucash/files/patch-configure <<
'END-of-finance/gnucash/files/patch-configure'
X--- configure.orig	Thu Oct 20 21:05:33 2005
X+++ configure	Thu Oct 20 21:12:31 2005
X@@ -9710,12 +9710,12 @@
X /* end confdefs.h.  */
X #include <libintl.h>
X extern int _nl_msg_cat_cntr;
X-extern int *_nl_domain_bindings;
X+extern int *libintl_nl_domain_bindings;
X int
X main ()
X {
X bindtextdomain ("", "");
X-return (int) gettext ("") + _nl_msg_cat_cntr + *_nl_domain_bindings
X+return (int) gettext ("") + _nl_msg_cat_cntr + *libintl_nl_domain_bindings
X   ;
X   return 0;
X }
X@@ -20102,7 +20102,7 @@
X   withval="$with_help_prefix"
X   GNC_HELPDIR="$with_help_prefix/gnome/help/gnucash"
X else
X-  GNC_HELPDIR="\${datadir}/gnome/help/gnucash"
X+  GNC_HELPDIR="\${datadir}/help/gnucash"
X fi;
X
X
X@@ -21587,7 +21587,7 @@
X
X
X
X-for ac_header in db_185.h db1/db.h db4/db_185.h
X+for ac_header in db_185.h db1/db.h db41/db_185.h
X do
X as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
X if eval "test \"\${$as_ac_Header+set}\" = set"; then
X@@ -21750,7 +21750,7 @@
X
X
X
X-for ac_header in db.h db_185.h db1/db.h db4/db_185.h
X+for ac_header in db.h db_185.h db1/db.h db41/db_185.h
X do
X as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
X if eval "test \"\${$as_ac_Header+set}\" = set"; then
END-of-finance/gnucash/files/patch-configure
echo x - finance/gnucash/files/patch-lib::srfi::srfi-8.scm
sed 's/^X//' >finance/gnucash/files/patch-lib::srfi::srfi-8.scm <<
'END-of-finance/gnucash/files/patch-lib::srfi::srfi-8.scm'
X
X$FreeBSD: ports/finance/gnucash/files/patch-lib::srfi::srfi-8.scm,v 1.2
2002/08/18 07:40:20 sobomax Exp $
X
X--- lib/srfi/srfi-8.scm.orig	Tue Jun 25 23:53:35 2002
X+++ lib/srfi/srfi-8.scm	Sat Aug 17 22:34:33 2002
X@@ -22,7 +22,8 @@
X (cond
X  ((or (string=? "1.3" (version))
X       (string=? "1.3.4" (version))
X-      (string=? "1.4" (substring (version) 0 3)))
X+      (string=? "1.4" (substring (version) 0 3))
X+      (string=? "1.4.1" (version)))
X
X   (use-modules (ice-9 slib))
X   (require 'macro-by-example)
END-of-finance/gnucash/files/patch-lib::srfi::srfi-8.scm
echo x - finance/gnucash/files/patch-ltmain.sh
sed 's/^X//' >finance/gnucash/files/patch-ltmain.sh <<
'END-of-finance/gnucash/files/patch-ltmain.sh'
X--- ltmain.sh.orig	Fri Sep 13 15:38:11 2002
X+++ ltmain.sh	Fri Oct 11 01:44:24 2002
X@@ -1073,8 +1073,16 @@
X 	continue
X 	;;
X
X+      -pthread)
X+      compile_command="$compile_command -pthread"
X+      finalize_command="$finalize_command -pthread"
X+      compiler_flags="$compiler_flags -pthread"
X+      continue
X+      ;;
X+
X       -module)
X 	module=yes
X+	build_old_libs=no
X 	continue
X 	;;
X
X@@ -2502,6 +2510,9 @@
X 	  *-*-openbsd*)
X 	    # Do not include libc due to us having libc/libc_r.
X 	    ;;
X+	  *-*-freebsd*)
X+	    # FreeBSD doesn't need this...
X+	    ;;
X 	  *)
X 	    # Add libc to deplibs on all other systems if necessary.
X 	    if test $build_libtool_need_lc = "yes"; then
END-of-finance/gnucash/files/patch-ltmain.sh
echo x - finance/gnucash/files/patch-po::ru.po
sed 's/^X//' >finance/gnucash/files/patch-po::ru.po <<
'END-of-finance/gnucash/files/patch-po::ru.po'
X--- po/ru.po.orig	Sun Oct 16 13:14:00 2005
X+++ po/ru.po	Wed Oct 19 21:10:01 2005
X@@ -4953,7 +4953,7 @@
X
X #: src/gnome/dialog-totd.c:303
X msgid "-*-helvetica-bold-r-normal-*-*-180-*-*-p-*-*-*"
X-msgstr "-rfx-helvetica-bold-r-normal-*-*-180-*-*-p-*-*-*"
X+msgstr "-cronyx-helvetica-bold-r-normal-*-*-180-*-*-p-*-*-*"
X
X #: src/gnome/dialog-totd.c:304
X msgid "Tip of the Day:"
X@@ -8660,12 +8660,12 @@
X msgid ""
X
"register-default-font:-adobe-helvetica-medium-r-normal--*-120-*-*-*-*-*-*"
X msgstr ""
X-"register-default-font:-rfx-helvetica-medium-r-normal--*-120-*-*-*-*-*-*"
X+"register-hint-font:-cronyx-helvetica-medium-o-normal--*-120-*-*-*-*-*-*"
X
X #: src/register/register-gnome/gnucash-style.c:819
X #: intl-scm/guile-strings.c:1093
X msgid
"register-hint-font:-adobe-helvetica-medium-o-normal--*-120-*-*-*-*-*-*"
X-msgstr
"register-hint-font:-rfx-helvetica-medium-o-normal--*-120-*-*-*-*-*-*"
X+msgstr
"register-hint-font:-cronyx-helvetica-medium-o-normal--*-120-*-*-*-*-*-*"
X
X #: src/report/report-gnome/dialog-column-view.c:271
X msgid "Contents"
END-of-finance/gnucash/files/patch-po::ru.po
echo x - finance/gnucash/files/patch-src::gnome::Makefile.in
sed 's/^X//' >finance/gnucash/files/patch-src::gnome::Makefile.in <<
'END-of-finance/gnucash/files/patch-src::gnome::Makefile.in'
X--- src/gnome/Makefile.in.orig	Wed Oct 19 21:10:12 2005
X+++ src/gnome/Makefile.in	Wed Oct 19 21:10:41 2005
X@@ -470,7 +470,7 @@
X   window-reconcile.c \
X   window-register.c
X
X-gnomeappdir = ${datadir}/gnome/apps/Applications
X+gnomeappdir = ${datadir}/apps/Applications
X gnomeapp_in_files = gnucash.desktop.in
X gnomeapp_DATA = $(gnomeapp_in_files:.desktop.in=.desktop)
X appicondir = $(datadir)/pixmaps
END-of-finance/gnucash/files/patch-src::gnome::Makefile.in
echo x - finance/gnucash/files/patch-src_doc_Makefile.in
sed 's/^X//' >finance/gnucash/files/patch-src_doc_Makefile.in <<
'END-of-finance/gnucash/files/patch-src_doc_Makefile.in'
X--- src/doc/Makefile.in.orig	Wed Oct 19 21:11:16 2005
X+++ src/doc/Makefile.in	Wed Oct 19 21:23:15 2005
X@@ -726,7 +726,7 @@
X 	$(mkinstalldirs) $(DESTDIR)$(docdir)/html
X 	mkdir -p html #Workaround to allow libofx-cvs user to install without
doc.
X #	cp -rp $(srcdir)/html ${docdir}
X-	cp -rp html $(DESTDIR)$(docdir)/html
X+	cp -rp html $(DESTDIR)$(docdir)
X
X uninstall-hook:
X 	rm -rf ${docdir}/html
END-of-finance/gnucash/files/patch-src_doc_Makefile.in
echo x - finance/gnucash/files/patch-src_app-utils_i18n.h
sed 's/^X//' >finance/gnucash/files/patch-src_app-utils_i18n.h <<
'END-of-finance/gnucash/files/patch-src_app-utils_i18n.h'
X--- src/app-utils/i18n.h.orig	Fri Feb 14 12:35:54 2003
X+++ src/app-utils/i18n.h	Fri Feb 14 12:36:07 2003
X@@ -26,4 +26,4 @@
X #endif
X
X #define TEXT_DOMAIN		"gnucash"
X-#define LOCALE_DIR		"/usr/local/share/locale"
X+#define LOCALE_DIR		"%%PREFIX%%/share/locale"
END-of-finance/gnucash/files/patch-src_app-utils_i18n.h
echo x - finance/gnucash/files/patch-PostgresBackend
sed 's/^X//' >finance/gnucash/files/patch-PostgresBackend <<
'END-of-finance/gnucash/files/patch-PostgresBackend'
X*** src/backend/postgres/PostgresBackend.orig	Mon Jul 26 17:17:45 2004
X--- src/backend/postgres/PostgresBackend.c	Mon Jul 26 17:33:16 2004
X***************
X*** 2104,2109 ****
X--- 2104,2114 ----
X           if (!strcmp (encoding, "ANSI_X3.4-1968"))
X             encoding = "SQL_ASCII";
X
X+          if (!strcmp(encoding, "US-ASCII"))
X+            encoding = "SQL_ASCII";
X+
X+          printf("\nDatabase encoding is: %s.\n", encoding);
X+
X           /* create the database */
X           p = be->buff; *p =0;
X           p = stpcpy (p, "CREATE DATABASE ");
END-of-finance/gnucash/files/patch-PostgresBackend
echo x - finance/gnucash/files/patch-intltool-merge.in
sed 's/^X//' >finance/gnucash/files/patch-intltool-merge.in <<
'END-of-finance/gnucash/files/patch-intltool-merge.in'
X--- intltool-merge.in.orig	Wed Nov 12 15:29:28 2003
X+++ intltool-merge.in	Wed Nov 12 15:31:54 2003
X@@ -858,7 +858,7 @@
X     if ($MULTIPLE_OUTPUT) {
X         for my $lang (sort keys %po_files_by_lang) {
X 	    if ( ! -e $lang ) {
X-	        mkdir $lang or die "Cannot create subdirectory $lang: $!\n";
X+	        mkdir $lang, 0777 or die "Cannot create subdirectory $lang:
$!\n";
X             }
X             open OUTPUT, ">$lang/$OUTFILE" or die "Cannot open
$lang/$OUTFILE: $!\n";
X             my $tree = readXml($FILE);
END-of-finance/gnucash/files/patch-intltool-merge.in
echo c - finance/gnucash/CVS
mkdir -p finance/gnucash/CVS > /dev/null 2>&1
echo x - finance/gnucash/CVS/Root
sed 's/^X//' >finance/gnucash/CVS/Root << 'END-of-finance/gnucash/CVS/Root'
X/home/freebsd/cvsroot
END-of-finance/gnucash/CVS/Root
echo x - finance/gnucash/CVS/Repository
sed 's/^X//' >finance/gnucash/CVS/Repository <<
'END-of-finance/gnucash/CVS/Repository'
Xports/finance/gnucash
END-of-finance/gnucash/CVS/Repository
echo x - finance/gnucash/CVS/Entries
sed 's/^X//' >finance/gnucash/CVS/Entries <<
'END-of-finance/gnucash/CVS/Entries'
X/pkg-descr/1.2/Sun May  2 21:53:01 1999//
XD/files////
X/distinfo/1.30/Sun Feb 13 13:51:45 2005//
X/pkg-plist/1.32/Sun Feb 13 13:51:45 2005//
X/Makefile/1.83/Mon Sep 19 13:48:09 2005//
END-of-finance/gnucash/CVS/Entries
echo x - finance/gnucash/distinfo
sed 's/^X//' >finance/gnucash/distinfo << 'END-of-finance/gnucash/distinfo'
XMD5 (gnucash-1.8.12.tar.gz) = 81e7c703db56bb203e106664157779cc
XSIZE (gnucash-1.8.12.tar.gz) = 8290229
END-of-finance/gnucash/distinfo
echo x - finance/gnucash/pkg-descr
sed 's/^X//' >finance/gnucash/pkg-descr <<
'END-of-finance/gnucash/pkg-descr'
XGnucash is the next generation of money manager created from a merger of
XX-Accountant and GnoMoney.
X
XIts features include:
X
X* Ability to import Quicken files ( a must )
X* Reports, Graphs, and all of those goodies that you find in Quicken.
X* Gnome compliant ( if that is the correct way to put it )
X* Separate the GUI from the actual "account/transaction engine"
X* Multiple accounts ( Check, Credit, Cash, Mutual Funds, etc.. )
X
XWWW: http://www.gnucash.org/
END-of-finance/gnucash/pkg-descr
echo x - finance/gnucash/pkg-plist
sed 's/^X//' >finance/gnucash/pkg-plist <<
'END-of-finance/gnucash/pkg-plist'
Xbin/dump-finance-quote
Xbin/gnc-prices
Xbin/gnc-test-env
Xbin/gnucash
Xbin/gnucash-config
Xbin/gnucash-env
Xbin/gnucash-make-guids
Xbin/gnucash-run-script
Xbin/update-finance-quote
Xetc/gnucash/config
Xinclude/gnucash/Account.h
Xinclude/gnucash/Backend.h
Xinclude/gnucash/FreqSpec.h
Xinclude/gnucash/GNCId.h
Xinclude/gnucash/Group.h
Xinclude/gnucash/Period.h
Xinclude/gnucash/Query.h
Xinclude/gnucash/QueryCore.h
Xinclude/gnucash/QueryNew.h
Xinclude/gnucash/QueryObject.h
Xinclude/gnucash/QuickFill.h
Xinclude/gnucash/SX-ttinfo.h
Xinclude/gnucash/SchedXaction.h
Xinclude/gnucash/Scrub.h
Xinclude/gnucash/TransLog.h
Xinclude/gnucash/Transaction.h
Xinclude/gnucash/account-quickfill.h
Xinclude/gnucash/basiccell.h
Xinclude/gnucash/cell-factory.h
Xinclude/gnucash/cellblock.h
Xinclude/gnucash/checkboxcell.h
Xinclude/gnucash/combocell.h
Xinclude/gnucash/date.h
Xinclude/gnucash/datecell.h
Xinclude/gnucash/dialog-account-pick.h
Xinclude/gnucash/dialog-account.h
Xinclude/gnucash/dialog-column-view.h
Xinclude/gnucash/dialog-commodity.h
Xinclude/gnucash/dialog-options.h
Xinclude/gnucash/dialog-search.h
Xinclude/gnucash/dialog-style-sheet.h
Xinclude/gnucash/dialog-transfer.h
Xinclude/gnucash/dialog-utils.h
Xinclude/gnucash/druid-commodity.h
Xinclude/gnucash/druid-utils.h
Xinclude/gnucash/engine-helpers.h
Xinclude/gnucash/file-utils.h
Xinclude/gnucash/formulacell.h
Xinclude/gnucash/gfec.h
Xinclude/gnucash/glib-helpers.h
Xinclude/gnucash/global-options.h
Xinclude/gnucash/gnc-account-sel.h
Xinclude/gnucash/gnc-account-tree.h
Xinclude/gnucash/gnc-amount-edit.h
Xinclude/gnucash/gnc-associate-account.h
Xinclude/gnucash/gnc-be-utils.h
Xinclude/gnucash/gnc-book.h
Xinclude/gnucash/gnc-commodity-edit.h
Xinclude/gnucash/gnc-commodity.h
Xinclude/gnucash/gnc-component-manager.h
Xinclude/gnucash/gnc-currency-edit.h
Xinclude/gnucash/gnc-date-delta.h
Xinclude/gnucash/gnc-date-edit.h
Xinclude/gnucash/gnc-date-format.h
Xinclude/gnucash/gnc-dense-cal.h
Xinclude/gnucash/gnc-engine-util.h
Xinclude/gnucash/gnc-engine.h
Xinclude/gnucash/gnc-euro.h
Xinclude/gnucash/gnc-event.h
Xinclude/gnucash/gnc-exp-parser.h
Xinclude/gnucash/gnc-file-dialog.h
Xinclude/gnucash/gnc-file-history-gnome.h
Xinclude/gnucash/gnc-file-history.h
Xinclude/gnucash/gnc-file.h
Xinclude/gnucash/gnc-frequency.h
Xinclude/gnucash/gnc-general-search.h
Xinclude/gnucash/gnc-general-select.h
Xinclude/gnucash/gnc-gettext-util.h
Xinclude/gnucash/gnc-gnome-utils.h
Xinclude/gnucash/gnc-gpg.h
Xinclude/gnucash/gnc-gui-query.h
Xinclude/gnucash/gnc-helpers.h
Xinclude/gnucash/gnc-html-guppi.h
Xinclude/gnucash/gnc-html-history.h
Xinclude/gnucash/gnc-html.h
Xinclude/gnucash/gnc-http.h
Xinclude/gnucash/gnc-mdi-utils.h
Xinclude/gnucash/gnc-menu-extensions.h
Xinclude/gnucash/gnc-module-api.h
Xinclude/gnucash/gnc-module.h
Xinclude/gnucash/gnc-numeric.h
Xinclude/gnucash/gnc-pricedb.h
Xinclude/gnucash/gnc-query-list.h
Xinclude/gnucash/gnc-report.h
Xinclude/gnucash/gnc-session-scm.h
Xinclude/gnucash/gnc-session.h
Xinclude/gnucash/gnc-ui-common.h
Xinclude/gnucash/gnc-ui-util.h
Xinclude/gnucash/gncObject.h
Xinclude/gnucash/gtable.h
Xinclude/gnucash/gtkselect.h
Xinclude/gnucash/guid.h
Xinclude/gnucash/guile-util.h
Xinclude/gnucash/gw-binary-import.h
Xinclude/gnucash/i18n.h
Xinclude/gnucash/import-match-map.h
Xinclude/gnucash/kvp-scm.h
Xinclude/gnucash/kvp_frame.h
Xinclude/gnucash/messages.h
Xinclude/gnucash/numcell.h
Xinclude/gnucash/option-util.h
Xinclude/gnucash/pricecell.h
Xinclude/gnucash/print-session.h
Xinclude/gnucash/quickfillcell.h
Xinclude/gnucash/recncell.h
Xinclude/gnucash/register-common.h
Xinclude/gnucash/table-allgui.h
Xinclude/gnucash/table-control.h
Xinclude/gnucash/table-layout.h
Xinclude/gnucash/table-model.h
Xinclude/gnucash/window-help.h
Xinclude/gnucash/window-report.h
Xlib/gnucash/libgnc-business-ledger.la
Xlib/gnucash/libgnc-business-ledger.so
Xlib/gnucash/libgnc-business-ledger.so.0
Xlib/gnucash/libgncmod-app-file.la
Xlib/gnucash/libgncmod-app-file.so
Xlib/gnucash/libgncmod-app-file.so.0
Xlib/gnucash/libgncmod-app-utils.la
Xlib/gnucash/libgncmod-app-utils.so
Xlib/gnucash/libgncmod-app-utils.so.0
Xlib/gnucash/libgncmod-backend-file.la
Xlib/gnucash/libgncmod-backend-file.so
Xlib/gnucash/libgncmod-backend-file.so.0
Xlib/gnucash/libgncmod-binary-import.la
Xlib/gnucash/libgncmod-binary-import.so
Xlib/gnucash/libgncmod-binary-import.so.0
Xlib/gnucash/libgncmod-business-backend-file.la
Xlib/gnucash/libgncmod-business-backend-file.so
Xlib/gnucash/libgncmod-business-backend-file.so.0
Xlib/gnucash/libgncmod-business-core.la
Xlib/gnucash/libgncmod-business-core.so
Xlib/gnucash/libgncmod-business-core.so.0
Xlib/gnucash/libgncmod-business-gnome.la
Xlib/gnucash/libgncmod-business-gnome.so
Xlib/gnucash/libgncmod-business-gnome.so.0
Xlib/gnucash/libgncmod-business-utils.la
Xlib/gnucash/libgncmod-business-utils.so
Xlib/gnucash/libgncmod-business-utils.so.0
Xlib/gnucash/libgncmod-calculation.la
Xlib/gnucash/libgncmod-calculation.so
Xlib/gnucash/libgncmod-calculation.so.0
Xlib/gnucash/libgncmod-dialog-tax-table.la
Xlib/gnucash/libgncmod-dialog-tax-table.so
Xlib/gnucash/libgncmod-dialog-tax-table.so.0
Xlib/gnucash/libgncmod-engine.la
Xlib/gnucash/libgncmod-engine.so
Xlib/gnucash/libgncmod-engine.so.0
Xlib/gnucash/libgncmod-generic-import.la
Xlib/gnucash/libgncmod-generic-import.so
Xlib/gnucash/libgncmod-generic-import.so.0
Xlib/gnucash/libgncmod-gnome-search.la
Xlib/gnucash/libgncmod-gnome-search.so
Xlib/gnucash/libgncmod-gnome-search.so.0
Xlib/gnucash/libgncmod-gnome-utils.la
Xlib/gnucash/libgncmod-gnome-utils.so
Xlib/gnucash/libgncmod-gnome-utils.so.0
Xlib/gnucash/libgncmod-ledger-core.la
Xlib/gnucash/libgncmod-ledger-core.so
Xlib/gnucash/libgncmod-ledger-core.so.0
Xlib/gnucash/libgncmod-locale-reports-us.la
Xlib/gnucash/libgncmod-locale-reports-us.so
Xlib/gnucash/libgncmod-locale-reports-us.so.0
Xlib/gnucash/libgncmod-log-replay.la
Xlib/gnucash/libgncmod-log-replay.so
Xlib/gnucash/libgncmod-log-replay.so.0
Xlib/gnucash/libgncmod-network-utils.la
Xlib/gnucash/libgncmod-network-utils.so
Xlib/gnucash/libgncmod-network-utils.so.0
Xlib/gnucash/libgncmod-ofx.la
Xlib/gnucash/libgncmod-ofx.so
Xlib/gnucash/libgncmod-ofx.so.0
Xlib/gnucash/libgncmod-qif-import.la
Xlib/gnucash/libgncmod-qif-import.so
Xlib/gnucash/libgncmod-qif-import.so.0
Xlib/gnucash/libgncmod-register-core.la
Xlib/gnucash/libgncmod-register-core.so
Xlib/gnucash/libgncmod-register-core.so.0
Xlib/gnucash/libgncmod-register-gnome.la
Xlib/gnucash/libgncmod-register-gnome.so
Xlib/gnucash/libgncmod-register-gnome.so.0
Xlib/gnucash/libgncmod-report-gnome.la
Xlib/gnucash/libgncmod-report-gnome.so
Xlib/gnucash/libgncmod-report-gnome.so.0
Xlib/gnucash/libgncmod-report-system.la
Xlib/gnucash/libgncmod-report-system.so
Xlib/gnucash/libgncmod-report-system.so.0
Xlib/gnucash/libgncmod-standard-reports.la
Xlib/gnucash/libgncmod-standard-reports.so
Xlib/gnucash/libgncmod-standard-reports.so.0
Xlib/gnucash/libgncmod-stylesheets.la
Xlib/gnucash/libgncmod-stylesheets.so
Xlib/gnucash/libgncmod-stylesheets.so.0
Xlib/gnucash/libgncmod-tax-us.la
Xlib/gnucash/libgncmod-tax-us.so
Xlib/gnucash/libgncmod-tax-us.so.0
Xlib/gnucash/libgncmod-utility-reports.la
Xlib/gnucash/libgncmod-utility-reports.so
Xlib/gnucash/libgncmod-utility-reports.so.0
Xlib/gnucash/libgw-app-file.la
Xlib/gnucash/libgw-app-file.so
Xlib/gnucash/libgw-app-file.so.0
Xlib/gnucash/libgw-app-utils.la
Xlib/gnucash/libgw-app-utils.so
Xlib/gnucash/libgw-app-utils.so.0
Xlib/gnucash/libgw-binary-import.la
Xlib/gnucash/libgw-binary-import.so
Xlib/gnucash/libgw-binary-import.so.0
Xlib/gnucash/libgw-business-core.la
Xlib/gnucash/libgw-business-core.so
Xlib/gnucash/libgw-business-core.so.0
Xlib/gnucash/libgw-business-gnome.la
Xlib/gnucash/libgw-business-gnome.so
Xlib/gnucash/libgw-business-gnome.so.0
Xlib/gnucash/libgw-dialog-tax-table.la
Xlib/gnucash/libgw-dialog-tax-table.so
Xlib/gnucash/libgw-dialog-tax-table.so.0
Xlib/gnucash/libgw-engine.la
Xlib/gnucash/libgw-engine.so
Xlib/gnucash/libgw-engine.so.0
Xlib/gnucash/libgw-gnc-module.la
Xlib/gnucash/libgw-gnc-module.so
Xlib/gnucash/libgw-gnc-module.so.0
Xlib/gnucash/libgw-gnome-search.la
Xlib/gnucash/libgw-gnome-search.so
Xlib/gnucash/libgw-gnome-search.so.0
Xlib/gnucash/libgw-gnome-utils.la
Xlib/gnucash/libgw-gnome-utils.so
Xlib/gnucash/libgw-gnome-utils.so.0
Xlib/gnucash/libgw-kvp.la
Xlib/gnucash/libgw-kvp.so
Xlib/gnucash/libgw-kvp.so.0
Xlib/gnucash/libgw-register-core.la
Xlib/gnucash/libgw-register-core.so
Xlib/gnucash/libgw-register-core.so.0
Xlib/gnucash/libgw-report-gnome.la
Xlib/gnucash/libgw-report-gnome.so
Xlib/gnucash/libgw-report-gnome.so.0
Xlib/libcore-utils.la
Xlib/libcore-utils.so
Xlib/libcore-utils.so.0
Xlib/libgnc-app-file-gnome.la
Xlib/libgnc-app-file-gnome.so
Xlib/libgnc-app-file-gnome.so.0
Xlib/libgncgnome.la
Xlib/libgncgnome.so
Xlib/libgncgnome.so.0
Xlib/libgncmodule.la
Xlib/libgncmodule.so
Xlib/libgncmodule.so.0
Xlib/libgw-core-utils.la
Xlib/libgw-core-utils.so
Xlib/libgw-core-utils.so.0
Xlib/libgw-gnc.la
Xlib/libgw-gnc.so
Xlib/libgw-gnc.so.0
Xlibexec/gnucash/overrides/gnucash
Xlibexec/gnucash/overrides/gnucash-env
Xlibexec/gnucash/overrides/gnucash-make-guids
Xlibexec/gnucash/overrides/gnucash-run-script
Xlibexec/gnucash/overrides/guile
Xshare/aclocal/gnucash.m4
Xshare/gnome/apps/Applications/gnucash.desktop
Xshare/gnome/gnucash/accounts/C/acctchrt_brokerage.gnucash-xea
Xshare/gnome/gnucash/accounts/C/acctchrt_business.gnucash-xea
Xshare/gnome/gnucash/accounts/C/acctchrt_carloan.gnucash-xea
Xshare/gnome/gnucash/accounts/C/acctchrt_cdmoneymkt.gnucash-xea
Xshare/gnome/gnucash/accounts/C/acctchrt_checkbook.gnucash-xea
Xshare/gnome/gnucash/accounts/C/acctchrt_childcare.gnucash-xea
Xshare/gnome/gnucash/accounts/C/acctchrt_common.gnucash-xea
Xshare/gnome/gnucash/accounts/C/acctchrt_eduloan.gnucash-xea
Xshare/gnome/gnucash/accounts/C/acctchrt_fixedassets.gnucash-xea
Xshare/gnome/gnucash/accounts/C/acctchrt_homeloan.gnucash-xea
Xshare/gnome/gnucash/accounts/C/acctchrt_homeown.gnucash-xea
Xshare/gnome/gnucash/accounts/C/acctchrt_otherloan.gnucash-xea
Xshare/gnome/gnucash/accounts/C/acctchrt_renter.gnucash-xea
Xshare/gnome/gnucash/accounts/C/acctchrt_retiremt.gnucash-xea
Xshare/gnome/gnucash/accounts/C/acctchrt_spouseinc.gnucash-xea
Xshare/gnome/gnucash/accounts/C/acctchrt_spouseretire.gnucash-xea
Xshare/gnome/gnucash/accounts/da/acctchrt_car.gnucash-xea
Xshare/gnome/gnucash/accounts/da/acctchrt_common.gnucash-xea
Xshare/gnome/gnucash/accounts/da/acctchrt_homeloan.gnucash-xea
Xshare/gnome/gnucash/accounts/da/acctchrt_homeown.gnucash-xea
Xshare/gnome/gnucash/accounts/de_CH/acctchrt_brokerage.gnucash-xea
Xshare/gnome/gnucash/accounts/de_CH/acctchrt_chkmu.gnucash-xea
Xshare/gnome/gnucash/accounts/de_CH/acctchrt_common.gnucash-xea
Xshare/gnome/gnucash/accounts/de_CH/acctchrt_kids.gnucash-xea
Xshare/gnome/gnucash/accounts/de_CH/acctchrt_otherasset.gnucash-xea
Xshare/gnome/gnucash/accounts/de_CH/acctchrt_otherloan.gnucash-xea
Xshare/gnome/gnucash/accounts/de_DE/acctchrt_auto.gnucash-xea
Xshare/gnome/gnucash/accounts/de_DE/acctchrt_autoloan.gnucash-xea
Xshare/gnome/gnucash/accounts/de_DE/acctchrt_brokerage.gnucash-xea
Xshare/gnome/gnucash/accounts/de_DE/acctchrt_common.gnucash-xea
Xshare/gnome/gnucash/accounts/de_DE/acctchrt_houseown.gnucash-xea
Xshare/gnome/gnucash/accounts/de_DE/acctchrt_investment.gnucash-xea
Xshare/gnome/gnucash/accounts/de_DE/acctchrt_kids.gnucash-xea
Xshare/gnome/gnucash/accounts/de_DE/acctchrt_otherasset.gnucash-xea
Xshare/gnome/gnucash/accounts/de_DE/acctchrt_otherloan.gnucash-xea
Xshare/gnome/gnucash/accounts/de_DE/acctchrt_skr04.gnucash-xea
Xshare/gnome/gnucash/accounts/de_DE/acctchrt_studium.gnucash-xea
Xshare/gnome/gnucash/accounts/el_GR/acctchrt_brokerage.gnucash-xea
Xshare/gnome/gnucash/accounts/el_GR/acctchrt_carloan.gnucash-xea
Xshare/gnome/gnucash/accounts/el_GR/acctchrt_common.gnucash-xea
Xshare/gnome/gnucash/accounts/es_ES/acctchrt_brokerage.gnucash-xea
Xshare/gnome/gnucash/accounts/es_ES/acctchrt_carloan.gnucash-xea
Xshare/gnome/gnucash/accounts/es_ES/acctchrt_cdmoneymkt.gnucash-xea
Xshare/gnome/gnucash/accounts/es_ES/acctchrt_childcare.gnucash-xea
Xshare/gnome/gnucash/accounts/es_ES/acctchrt_common.gnucash-xea
Xshare/gnome/gnucash/accounts/es_ES/acctchrt_currency.gnucash-xea
Xshare/gnome/gnucash/accounts/es_ES/acctchrt_eduloan.gnucash-xea
Xshare/gnome/gnucash/accounts/es_ES/acctchrt_fixedassets.gnucash-xea
Xshare/gnome/gnucash/accounts/es_ES/acctchrt_homeloan.gnucash-xea
Xshare/gnome/gnucash/accounts/es_ES/acctchrt_homeown.gnucash-xea
Xshare/gnome/gnucash/accounts/es_ES/acctchrt_otherloan.gnucash-xea
Xshare/gnome/gnucash/accounts/es_ES/acctchrt_renter.gnucash-xea
Xshare/gnome/gnucash/accounts/es_ES/acctchrt_retiremt.gnucash-xea
Xshare/gnome/gnucash/accounts/es_ES/acctchrt_spouseinc.gnucash-xea
Xshare/gnome/gnucash/accounts/es_ES/acctchrt_spouseretire.gnucash-xea
Xshare/gnome/gnucash/accounts/fr_FR/acctchrt_brokerage.gnucash-xea
Xshare/gnome/gnucash/accounts/fr_FR/acctchrt_business.gnucash-xea
Xshare/gnome/gnucash/accounts/fr_FR/acctchrt_carloan.gnucash-xea
Xshare/gnome/gnucash/accounts/fr_FR/acctchrt_cdmoneymkt.gnucash-xea
Xshare/gnome/gnucash/accounts/fr_FR/acctchrt_childcare.gnucash-xea
Xshare/gnome/gnucash/accounts/fr_FR/acctchrt_common.gnucash-xea
Xshare/gnome/gnucash/accounts/fr_FR/acctchrt_currency.gnucash-xea
Xshare/gnome/gnucash/accounts/fr_FR/acctchrt_eduloan.gnucash-xea
Xshare/gnome/gnucash/accounts/fr_FR/acctchrt_fixedassets.gnucash-xea
Xshare/gnome/gnucash/accounts/fr_FR/acctchrt_homeloan.gnucash-xea
Xshare/gnome/gnucash/accounts/fr_FR/acctchrt_homeown.gnucash-xea
Xshare/gnome/gnucash/accounts/fr_FR/acctchrt_otherloan.gnucash-xea
Xshare/gnome/gnucash/accounts/fr_FR/acctchrt_renter.gnucash-xea
Xshare/gnome/gnucash/accounts/fr_FR/acctchrt_retiremt.gnucash-xea
Xshare/gnome/gnucash/accounts/fr_FR/acctchrt_spouseinc.gnucash-xea
Xshare/gnome/gnucash/accounts/fr_FR/acctchrt_spouseretire.gnucash-xea
Xshare/gnome/gnucash/accounts/hu_HU/acctchrt_brokerage.gnucash-xea
Xshare/gnome/gnucash/accounts/hu_HU/acctchrt_business.gnucash-xea
Xshare/gnome/gnucash/accounts/hu_HU/acctchrt_carloan.gnucash-xea
Xshare/gnome/gnucash/accounts/hu_HU/acctchrt_cdmoneymkt.gnucash-xea
Xshare/gnome/gnucash/accounts/hu_HU/acctchrt_checkbook.gnucash-xea
Xshare/gnome/gnucash/accounts/hu_HU/acctchrt_childcare.gnucash-xea
Xshare/gnome/gnucash/accounts/hu_HU/acctchrt_common.gnucash-xea
Xshare/gnome/gnucash/accounts/hu_HU/acctchrt_eduloan.gnucash-xea
Xshare/gnome/gnucash/accounts/hu_HU/acctchrt_fixedassets.gnucash-xea
Xshare/gnome/gnucash/accounts/hu_HU/acctchrt_homeloan.gnucash-xea
Xshare/gnome/gnucash/accounts/hu_HU/acctchrt_homeown.gnucash-xea
Xshare/gnome/gnucash/accounts/hu_HU/acctchrt_otherloan.gnucash-xea
Xshare/gnome/gnucash/accounts/hu_HU/acctchrt_renter.gnucash-xea
Xshare/gnome/gnucash/accounts/hu_HU/acctchrt_retiremt.gnucash-xea
Xshare/gnome/gnucash/accounts/hu_HU/acctchrt_spouseinc.gnucash-xea
Xshare/gnome/gnucash/accounts/hu_HU/acctchrt_spouseretire.gnucash-xea
Xshare/gnome/gnucash/accounts/it/acctchrt_brokerage.gnucash-xea
Xshare/gnome/gnucash/accounts/it/acctchrt_carloan.gnucash-xea
Xshare/gnome/gnucash/accounts/it/acctchrt_checkbook.gnucash-xea
Xshare/gnome/gnucash/accounts/it/acctchrt_childcare.gnucash-xea
Xshare/gnome/gnucash/accounts/it/acctchrt_common.gnucash-xea
Xshare/gnome/gnucash/accounts/it/acctchrt_fixedassets.gnucash-xea
Xshare/gnome/gnucash/accounts/it/acctchrt_homeloan.gnucash-xea
Xshare/gnome/gnucash/accounts/it/acctchrt_homeown.gnucash-xea
Xshare/gnome/gnucash/accounts/it/acctchrt_otherloan.gnucash-xea
Xshare/gnome/gnucash/accounts/it/acctchrt_renter.gnucash-xea
Xshare/gnome/gnucash/accounts/it/acctchrt_retiremt.gnucash-xea
Xshare/gnome/gnucash/accounts/it/acctchrt_spouseinc.gnucash-xea
Xshare/gnome/gnucash/accounts/it/acctchrt_spouseretire.gnucash-xea
Xshare/gnome/gnucash/accounts/pt_BR/acctchrt_brokerage.gnucash-xea
Xshare/gnome/gnucash/accounts/pt_BR/acctchrt_carloan.gnucash-xea
Xshare/gnome/gnucash/accounts/pt_BR/acctchrt_cdmoneymkt.gnucash-xea
Xshare/gnome/gnucash/accounts/pt_BR/acctchrt_childcare.gnucash-xea
Xshare/gnome/gnucash/accounts/pt_BR/acctchrt_common.gnucash-xea
Xshare/gnome/gnucash/accounts/pt_BR/acctchrt_currency.gnucash-xea
Xshare/gnome/gnucash/accounts/pt_BR/acctchrt_eduloan.gnucash-xea
Xshare/gnome/gnucash/accounts/pt_BR/acctchrt_fixedassets.gnucash-xea
Xshare/gnome/gnucash/accounts/pt_BR/acctchrt_homeloan.gnucash-xea
Xshare/gnome/gnucash/accounts/pt_BR/acctchrt_homeown.gnucash-xea
Xshare/gnome/gnucash/accounts/pt_BR/acctchrt_otherloan.gnucash-xea
Xshare/gnome/gnucash/accounts/pt_BR/acctchrt_renter.gnucash-xea
Xshare/gnome/gnucash/accounts/pt_BR/acctchrt_retiremt.gnucash-xea
Xshare/gnome/gnucash/accounts/pt_BR/acctchrt_spouseinc.gnucash-xea
Xshare/gnome/gnucash/accounts/pt_BR/acctchrt_spouseretire.gnucash-xea
Xshare/gnome/gnucash/accounts/pt_PT/acctchrt_brokerage.gnucash-xea
Xshare/gnome/gnucash/accounts/pt_PT/acctchrt_carloan.gnucash-xea
Xshare/gnome/gnucash/accounts/pt_PT/acctchrt_cdmoneymkt.gnucash-xea
Xshare/gnome/gnucash/accounts/pt_PT/acctchrt_childcare.gnucash-xea
Xshare/gnome/gnucash/accounts/pt_PT/acctchrt_common.gnucash-xea
Xshare/gnome/gnucash/accounts/pt_PT/acctchrt_eduloan.gnucash-xea
Xshare/gnome/gnucash/accounts/pt_PT/acctchrt_fixedassets.gnucash-xea
Xshare/gnome/gnucash/accounts/pt_PT/acctchrt_homeloan.gnucash-xea
Xshare/gnome/gnucash/accounts/pt_PT/acctchrt_homeown.gnucash-xea
Xshare/gnome/gnucash/accounts/pt_PT/acctchrt_otherloan.gnucash-xea
Xshare/gnome/gnucash/accounts/pt_PT/acctchrt_renter.gnucash-xea
Xshare/gnome/gnucash/accounts/pt_PT/acctchrt_retiremt.gnucash-xea
Xshare/gnome/gnucash/accounts/pt_PT/acctchrt_spouseinc.gnucash-xea
Xshare/gnome/gnucash/accounts/pt_PT/acctchrt_spouseretire.gnucash-xea
Xshare/gnome/gnucash/accounts/sk/acctchrt_brokerage.gnucash-xea
Xshare/gnome/gnucash/accounts/sk/acctchrt_carloan.gnucash-xea
Xshare/gnome/gnucash/accounts/sk/acctchrt_cdmoneymkt.gnucash-xea
Xshare/gnome/gnucash/accounts/sk/acctchrt_childcare.gnucash-xea
Xshare/gnome/gnucash/accounts/sk/acctchrt_common.gnucash-xea
Xshare/gnome/gnucash/accounts/sk/acctchrt_currency.gnucash-xea
Xshare/gnome/gnucash/accounts/sk/acctchrt_eduloan.gnucash-xea
Xshare/gnome/gnucash/accounts/sk/acctchrt_fixedassets.gnucash-xea
Xshare/gnome/gnucash/accounts/sk/acctchrt_homeloan.gnucash-xea
Xshare/gnome/gnucash/accounts/sk/acctchrt_homeown.gnucash-xea
Xshare/gnome/gnucash/accounts/sk/acctchrt_otherloan.gnucash-xea
Xshare/gnome/gnucash/accounts/sk/acctchrt_renter.gnucash-xea
Xshare/gnome/gnucash/accounts/sk/acctchrt_retiremt.gnucash-xea
Xshare/gnome/gnucash/accounts/sk/acctchrt_spouseinc.gnucash-xea
Xshare/gnome/gnucash/accounts/sk/acctchrt_spouseretire.gnucash-xea
Xshare/gnome/gnucash/accounts/tr_TR/acctchrt_TEKDUZ.gnucash-xea
Xshare/gnome/gnucash/accounts/tr_TR/acctchrt_brokerage.gnucash-xea
Xshare/gnome/gnucash/accounts/tr_TR/acctchrt_carloan.gnucash-xea
Xshare/gnome/gnucash/accounts/tr_TR/acctchrt_cdmoneymkt.gnucash-xea
Xshare/gnome/gnucash/accounts/tr_TR/acctchrt_checkbook.gnucash-xea
Xshare/gnome/gnucash/accounts/tr_TR/acctchrt_common.gnucash-xea
Xshare/gnome/gnucash/accounts/tr_TR/acctchrt_fixedassets.gnucash-xea
Xshare/gnome/gnucash/accounts/tr_TR/acctchrt_homeloan.gnucash-xea
Xshare/gnome/gnucash/doc/AUTHORS
Xshare/gnome/gnucash/doc/COPYING
Xshare/gnome/gnucash/doc/ChangeLog
Xshare/gnome/gnucash/doc/ChangeLog.1
Xshare/gnome/gnucash/doc/HACKING
Xshare/gnome/gnucash/doc/INSTALL
Xshare/gnome/gnucash/doc/NEWS
Xshare/gnome/gnucash/doc/README
Xshare/gnome/gnucash/doc/README.francais
Xshare/gnome/gnucash/doc/README.german
Xshare/gnome/gnucash/doc/README.patches
Xshare/gnome/gnucash/doc/examples/Money95bank_fr.qif
Xshare/gnome/gnucash/doc/examples/Money95invst_fr.qif
Xshare/gnome/gnucash/doc/examples/Money95mfunds_fr.qif
Xshare/gnome/gnucash/doc/examples/Money95stocks_fr.qif
Xshare/gnome/gnucash/doc/examples/README
Xshare/gnome/gnucash/doc/examples/abc-all.qif
Xshare/gnome/gnucash/doc/examples/abc.qif
Xshare/gnome/gnucash/doc/examples/bogus.qif
Xshare/gnome/gnucash/doc/examples/cbb-export.qif
Xshare/gnome/gnucash/doc/examples/currency.xac
Xshare/gnome/gnucash/doc/examples/currency_tree_xml.xac
Xshare/gnome/gnucash/doc/examples/every.qif
Xshare/gnome/gnucash/doc/examples/ms-money.qif
Xshare/gnome/gnucash/doc/examples/quicktest.qif
Xshare/gnome/gnucash/doc/examples/splitdemo.xac
Xshare/gnome/gnucash/doc/examples/swipe.qif
Xshare/gnome/gnucash/doc/examples/taxreport.xac
Xshare/gnome/gnucash/doc/examples/test.xac
Xshare/gnome/gnucash/doc/examples/test2.xac
Xshare/gnome/gnucash/doc/examples/test3.xac
Xshare/gnome/gnucash/doc/examples/test4.xac
Xshare/gnome/gnucash/doc/examples/trading.xac
Xshare/gnome/gnucash/doc/examples/trading2.xac
Xshare/gnome/gnucash/doc/examples/web.qif
Xshare/gnome/gnucash/doc/examples/xfer.xac
Xshare/gnome/gnucash/doc/guile-hackers.txt
Xshare/gnome/gnucash/doc/projects.html
Xshare/gnome/gnucash/finance-quote-check
Xshare/gnome/gnucash/finance-quote-helper
Xshare/gnome/gnucash/glade/account.glade
Xshare/gnome/gnucash/glade/billterms.glade
Xshare/gnome/gnucash/glade/binary-import.glade
Xshare/gnome/gnucash/glade/commodities.glade
Xshare/gnome/gnucash/glade/commodity.glade
Xshare/gnome/gnucash/glade/customer.glade
Xshare/gnome/gnucash/glade/date-close.glade
Xshare/gnome/gnucash/glade/employee.glade
Xshare/gnome/gnucash/glade/exchange-dialog.glade
Xshare/gnome/gnucash/glade/fincalc.glade
Xshare/gnome/gnucash/glade/generic-import.glade
Xshare/gnome/gnucash/glade/gnc-date-format.glade
X%%AQBANKING%%share/gnome/gnucash/glade/hbci.glade
X%%AQBANKING%%share/gnome/gnucash/glade/hbcipass.glade
Xshare/gnome/gnucash/glade/help.glade
Xshare/gnome/gnucash/glade/invoice.glade
Xshare/gnome/gnucash/glade/job.glade
Xshare/gnome/gnucash/glade/newuser.glade
Xshare/gnome/gnucash/glade/order.glade
Xshare/gnome/gnucash/glade/payment.glade
Xshare/gnome/gnucash/glade/price.glade
Xshare/gnome/gnucash/glade/print.glade
Xshare/gnome/gnucash/glade/progress.glade
Xshare/gnome/gnucash/glade/qif.glade
Xshare/gnome/gnucash/glade/register.glade
Xshare/gnome/gnucash/glade/report.glade
Xshare/gnome/gnucash/glade/sched-xact.glade
Xshare/gnome/gnucash/glade/search.glade
Xshare/gnome/gnucash/glade/stocks.glade
Xshare/gnome/gnucash/glade/tax-tables.glade
Xshare/gnome/gnucash/glade/tax.glade
Xshare/gnome/gnucash/glade/transfer.glade
Xshare/gnome/gnucash/glade/userpass.glade
Xshare/gnome/gnucash/glade/vendor.glade
Xshare/gnome/gnucash/guile-modules/g-wrapped/gw-app-file-spec.scm
Xshare/gnome/gnucash/guile-modules/g-wrapped/gw-app-file.scm
Xshare/gnome/gnucash/guile-modules/g-wrapped/gw-app-utils-spec.scm
Xshare/gnome/gnucash/guile-modules/g-wrapped/gw-app-utils.scm
Xshare/gnome/gnucash/guile-modules/g-wrapped/gw-binary-import-spec.scm
Xshare/gnome/gnucash/guile-modules/g-wrapped/gw-binary-import.scm
Xshare/gnome/gnucash/guile-modules/g-wrapped/gw-business-core-spec.scm
Xshare/gnome/gnucash/guile-modules/g-wrapped/gw-business-core.scm
Xshare/gnome/gnucash/guile-modules/g-wrapped/gw-business-gnome-spec.scm
Xshare/gnome/gnucash/guile-modules/g-wrapped/gw-business-gnome.scm
Xshare/gnome/gnucash/guile-modules/g-wrapped/gw-core-utils-spec.scm
Xshare/gnome/gnucash/guile-modules/g-wrapped/gw-core-utils.scm
Xshare/gnome/gnucash/guile-modules/g-wrapped/gw-dialog-tax-table-spec.scm
Xshare/gnome/gnucash/guile-modules/g-wrapped/gw-dialog-tax-table.scm
Xshare/gnome/gnucash/guile-modules/g-wrapped/gw-engine-spec.scm
Xshare/gnome/gnucash/guile-modules/g-wrapped/gw-engine.scm
Xshare/gnome/gnucash/guile-modules/g-wrapped/gw-gnc-module-spec.scm
Xshare/gnome/gnucash/guile-modules/g-wrapped/gw-gnc-module.scm
Xshare/gnome/gnucash/guile-modules/g-wrapped/gw-gnc-spec.scm
Xshare/gnome/gnucash/guile-modules/g-wrapped/gw-gnc.scm
Xshare/gnome/gnucash/guile-modules/g-wrapped/gw-gnome-search-spec.scm
Xshare/gnome/gnucash/guile-modules/g-wrapped/gw-gnome-search.scm
Xshare/gnome/gnucash/guile-modules/g-wrapped/gw-gnome-utils-spec.scm
Xshare/gnome/gnucash/guile-modules/g-wrapped/gw-gnome-utils.scm
Xshare/gnome/gnucash/guile-modules/g-wrapped/gw-kvp-spec.scm
Xshare/gnome/gnucash/guile-modules/g-wrapped/gw-kvp.scm
Xshare/gnome/gnucash/guile-modules/g-wrapped/gw-register-core-spec.scm
Xshare/gnome/gnucash/guile-modules/g-wrapped/gw-register-core.scm
Xshare/gnome/gnucash/guile-modules/g-wrapped/gw-report-gnome-spec.scm
Xshare/gnome/gnucash/guile-modules/g-wrapped/gw-report-gnome.scm
Xshare/gnome/gnucash/guile-modules/gnucash/app-utils.scm
Xshare/gnome/gnucash/guile-modules/gnucash/business-core.scm
Xshare/gnome/gnucash/guile-modules/gnucash/business-gnome.scm
Xshare/gnome/gnucash/guile-modules/gnucash/business-utils.scm
Xshare/gnome/gnucash/guile-modules/gnucash/dialog-tax-table.scm
Xshare/gnome/gnucash/guile-modules/gnucash/engine.scm
Xshare/gnome/gnucash/guile-modules/gnucash/fin.scm
Xshare/gnome/gnucash/guile-modules/gnucash/gnc-module.scm
Xshare/gnome/gnucash/guile-modules/gnucash/gnome-search.scm
Xshare/gnome/gnucash/guile-modules/gnucash/gnome-utils.scm
Xshare/gnome/gnucash/guile-modules/gnucash/import-export/binary-import.scm
Xshare/gnome/gnucash/guile-modules/gnucash/import-export/qif-import.scm
Xshare/gnome/gnucash/guile-modules/gnucash/main.scm
Xshare/gnome/gnucash/guile-modules/gnucash/price-quotes.scm
Xshare/gnome/gnucash/guile-modules/gnucash/printing/number-to-words.scm
Xshare/gnome/gnucash/guile-modules/gnucash/process.scm
Xshare/gnome/gnucash/guile-modules/gnucash/report/account-piecharts.scm
Xshare/gnome/gnucash/guile-modules/gnucash/report/account-summary.scm
Xshare/gnome/gnucash/guile-modules/gnucash/report/advanced-portfolio.scm
Xshare/gnome/gnucash/guile-modules/gnucash/report/aging.scm
Xshare/gnome/gnucash/guile-modules/gnucash/report/average-balance.scm
Xshare/gnome/gnucash/guile-modules/gnucash/report/balance-sheet.scm
Xshare/gnome/gnucash/guile-modules/gnucash/report/business-reports.scm
Xshare/gnome/gnucash/guile-modules/gnucash/report/cash-flow.scm
Xshare/gnome/gnucash/guile-modules/gnucash/report/category-barchart.scm
Xshare/gnome/gnucash/guile-modules/gnucash/report/daily-reports.scm
Xshare/gnome/gnucash/guile-modules/gnucash/report/fancy-invoice.scm
Xshare/gnome/gnucash/guile-modules/gnucash/report/hello-world.scm
Xshare/gnome/gnucash/guile-modules/gnucash/report/iframe-url.scm
Xshare/gnome/gnucash/guile-modules/gnucash/report/invoice.scm
Xshare/gnome/gnucash/guile-modules/gnucash/report/locale-specific/de_DE.scm
Xshare/gnome/gnucash/guile-modules/gnucash/report/locale-specific/us.scm
Xshare/gnome/gnucash/guile-modules/gnucash/report/net-barchart.scm
Xshare/gnome/gnucash/guile-modules/gnucash/report/owner-report.scm
Xshare/gnome/gnucash/guile-modules/gnucash/report/payables.scm
Xshare/gnome/gnucash/guile-modules/gnucash/report/pnl.scm
Xshare/gnome/gnucash/guile-modules/gnucash/report/portfolio.scm
Xshare/gnome/gnucash/guile-modules/gnucash/report/price-scatter.scm
Xshare/gnome/gnucash/guile-modules/gnucash/report/receivables.scm
Xshare/gnome/gnucash/guile-modules/gnucash/report/register.scm
Xshare/gnome/gnucash/guile-modules/gnucash/report/report-gnome.scm
Xshare/gnome/gnucash/guile-modules/gnucash/report/report-system.scm
Xshare/gnome/gnucash/guile-modules/gnucash/report/standard-reports.scm
Xshare/gnome/gnucash/guile-modules/gnucash/report/stylesheet-fancy.scm
Xshare/gnome/gnucash/guile-modules/gnucash/report/stylesheet-plain.scm
Xshare/gnome/gnucash/guile-modules/gnucash/report/stylesheets.scm
Xshare/gnome/gnucash/guile-modules/gnucash/report/taxtxf-de_DE.scm
Xshare/gnome/gnucash/guile-modules/gnucash/report/taxtxf.scm
Xshare/gnome/gnucash/guile-modules/gnucash/report/transaction.scm
Xshare/gnome/gnucash/guile-modules/gnucash/report/utility-reports.scm
Xshare/gnome/gnucash/guile-modules/gnucash/report/view-column.scm
Xshare/gnome/gnucash/guile-modules/gnucash/report/welcome-to-gnucash.scm
Xshare/gnome/gnucash/guile-modules/gnucash/tax/de_DE.scm
Xshare/gnome/gnucash/guile-modules/gnucash/tax/us.scm
Xshare/gnome/gnucash/guile-modules/www/cgi.scm
Xshare/gnome/gnucash/guile-modules/www/http.scm
Xshare/gnome/gnucash/guile-modules/www/main.scm
Xshare/gnome/gnucash/guile-modules/www/url.scm
Xshare/gnome/gnucash/scm/build-config.scm
Xshare/gnome/gnucash/scm/business-options.scm
Xshare/gnome/gnucash/scm/business-prefs.scm
Xshare/gnome/gnucash/scm/c-interface.scm
Xshare/gnome/gnucash/scm/command-line.scm
Xshare/gnome/gnucash/scm/commodity-table.scm
Xshare/gnome/gnucash/scm/commodity-utilities.scm
Xshare/gnome/gnucash/scm/config-var.scm
Xshare/gnome/gnucash/scm/date-utilities.scm
Xshare/gnome/gnucash/scm/doc.scm
Xshare/gnome/gnucash/scm/engine-init.scm
Xshare/gnome/gnucash/scm/engine-interface.scm
Xshare/gnome/gnucash/scm/engine-utilities.scm
Xshare/gnome/gnucash/scm/fin.scm
Xshare/gnome/gnucash/scm/generic-import/generic-import.scm
Xshare/gnome/gnucash/scm/gnc-menu-extensions.scm
Xshare/gnome/gnucash/scm/gnc-numeric.scm
Xshare/gnome/gnucash/scm/gnumeric/gnumeric-utilities.scm
Xshare/gnome/gnucash/scm/gnumeric/table-utils.scm
X%%AQBANKING%%share/gnome/gnucash/scm/hbci/hbci.scm
Xshare/gnome/gnucash/scm/help-topics-index.scm
Xshare/gnome/gnucash/scm/hooks.scm
Xshare/gnome/gnucash/scm/html-barchart.scm
Xshare/gnome/gnucash/scm/html-document.scm
Xshare/gnome/gnucash/scm/html-piechart.scm
Xshare/gnome/gnucash/scm/html-scatter.scm
Xshare/gnome/gnucash/scm/html-style-info.scm
Xshare/gnome/gnucash/scm/html-style-sheet.scm
Xshare/gnome/gnucash/scm/html-table.scm
Xshare/gnome/gnucash/scm/html-text.scm
Xshare/gnome/gnucash/scm/html-utilities.scm
Xshare/gnome/gnucash/scm/kvp-option-registry.scm
Xshare/gnome/gnucash/scm/log-replay/log-replay.scm
Xshare/gnome/gnucash/scm/main-window.scm
Xshare/gnome/gnucash/scm/ofx/ofx-import.scm
Xshare/gnome/gnucash/scm/options-utilities.scm
Xshare/gnome/gnucash/scm/options.scm
Xshare/gnome/gnucash/scm/path.scm
Xshare/gnome/gnucash/scm/prefs.scm
Xshare/gnome/gnucash/scm/printing/print-check.scm
Xshare/gnome/gnucash/scm/qif-import/qif-dialog-utils.scm
Xshare/gnome/gnucash/scm/qif-import/qif-file.scm
Xshare/gnome/gnucash/scm/qif-import/qif-guess-map.scm
Xshare/gnome/gnucash/scm/qif-import/qif-import.scm
Xshare/gnome/gnucash/scm/qif-import/qif-merge-groups.scm
Xshare/gnome/gnucash/scm/qif-import/qif-objects.scm
Xshare/gnome/gnucash/scm/qif-import/qif-parse.scm
Xshare/gnome/gnucash/scm/qif-import/qif-to-gnc.scm
Xshare/gnome/gnucash/scm/qif-import/qif-utils.scm
Xshare/gnome/gnucash/scm/report-utilities.scm
Xshare/gnome/gnucash/scm/report.scm
Xshare/gnome/gnucash/scm/simple-obj.scm
Xshare/gnome/gnucash/scm/substring-search.scm
Xshare/gnome/gnucash/scm/tip-list.scm
Xshare/gnome/gnucash/scm/tip-of-the-day.scm
Xshare/gnome/gnucash/scm/txf-de_DE.scm
Xshare/gnome/gnucash/scm/txf-help-de_DE.scm
Xshare/gnome/gnucash/scm/txf-help.scm
Xshare/gnome/gnucash/scm/txf.scm
Xshare/gnome/gnucash/scm/xml-generator.scm
Xshare/gnome/mime-info/gnucash.keys
Xshare/gnome/mime-info/gnucash.mime
Xshare/gnome/pixmaps/gnucash/gnucash-icon.png
Xshare/gnome/pixmaps/gnucash/gnucash_splash.png
Xshare/gnome/pixmaps/gnucash/stock_split_title.png
Xshare/gnome/pixmaps/gnucash/stock_split_watermark.png
Xshare/locale/ca/LC_MESSAGES/gnucash.mo
Xshare/locale/cs/LC_MESSAGES/gnucash.mo
Xshare/locale/da/LC_MESSAGES/gnucash.mo
Xshare/locale/de/LC_MESSAGES/gnucash.mo
Xshare/locale/el/LC_MESSAGES/gnucash.mo
Xshare/locale/en_GB/LC_MESSAGES/gnucash.mo
Xshare/locale/es/LC_MESSAGES/gnucash.mo
Xshare/locale/es_NI/LC_MESSAGES/gnucash.mo
Xshare/locale/fr/LC_MESSAGES/gnucash.mo
Xshare/locale/hu/LC_MESSAGES/gnucash.mo
Xshare/locale/it/LC_MESSAGES/gnucash.mo
Xshare/locale/ja/LC_MESSAGES/gnucash.mo
Xshare/locale/nb/LC_MESSAGES/gnucash.mo
Xshare/locale/nl/LC_MESSAGES/gnucash.mo
Xshare/locale/pl/LC_MESSAGES/gnucash.mo
Xshare/locale/pt/LC_MESSAGES/gnucash.mo
Xshare/locale/pt_BR/LC_MESSAGES/gnucash.mo
Xshare/locale/ru/LC_MESSAGES/gnucash.mo
Xshare/locale/sk/LC_MESSAGES/gnucash.mo
Xshare/locale/sv/LC_MESSAGES/gnucash.mo
Xshare/locale/ta/LC_MESSAGES/gnucash.mo
Xshare/locale/tr/LC_MESSAGES/gnucash.mo
Xshare/locale/uk/LC_MESSAGES/gnucash.mo
Xshare/locale/zh_CN/LC_MESSAGES/gnucash.mo
Xshare/locale/zh_TW/LC_MESSAGES/gnucash.mo
X@unexec rmdir %D/share/locale/es_NI/LC_MESSAGES 2> /dev/null || true
X@unexec rmdir %D/share/locale/es_NI 2> /dev/null || true
X@dirrm share/gnome/pixmaps/gnucash
X@dirrm share/gnome/gnucash/scm/qif-import
X@dirrm share/gnome/gnucash/scm/printing
X@dirrm share/gnome/gnucash/scm/ofx
X@dirrm share/gnome/gnucash/scm/log-replay
X%%AQBANKING%%@dirrm share/gnome/gnucash/scm/hbci
X@dirrm share/gnome/gnucash/scm/gnumeric
X@dirrm share/gnome/gnucash/scm/generic-import
X@dirrm share/gnome/gnucash/scm
X@dirrm share/gnome/gnucash/guile-modules/www
X@dirrm share/gnome/gnucash/guile-modules/srfi
X@dirrm share/gnome/gnucash/guile-modules/gnucash/tax
X@dirrm share/gnome/gnucash/guile-modules/gnucash/report/locale-specific
X@dirrm share/gnome/gnucash/guile-modules/gnucash/report
X@dirrm share/gnome/gnucash/guile-modules/gnucash/printing
X@dirrm share/gnome/gnucash/guile-modules/gnucash/import-export
X@dirrm share/gnome/gnucash/guile-modules/gnucash
X@dirrm share/gnome/gnucash/guile-modules/g-wrapped
X@dirrm share/gnome/gnucash/guile-modules
X@dirrm share/gnome/gnucash/glade
X@dirrm share/gnome/gnucash/doc/html
X@dirrm share/gnome/gnucash/doc/examples
X@dirrm share/gnome/gnucash/doc
X@dirrm share/gnome/gnucash/accounts/tr_TR
X@dirrm share/gnome/gnucash/accounts/sk
X@dirrm share/gnome/gnucash/accounts/pt_PT
X@dirrm share/gnome/gnucash/accounts/pt_BR
X@dirrm share/gnome/gnucash/accounts/it
X@dirrm share/gnome/gnucash/accounts/hu_HU
X@dirrm share/gnome/gnucash/accounts/fr_FR
X@dirrm share/gnome/gnucash/accounts/es_ES
X@dirrm share/gnome/gnucash/accounts/el_GR
X@dirrm share/gnome/gnucash/accounts/de_DE
X@dirrm share/gnome/gnucash/accounts/de_CH
X@dirrm share/gnome/gnucash/accounts/da
X@dirrm share/gnome/gnucash/accounts/C
X@dirrm share/gnome/gnucash/accounts
X@dirrm share/gnome/gnucash
X@dirrm libexec/gnucash/overrides
X@dirrm libexec/gnucash
X@dirrm lib/gnucash
X@dirrm include/gnucash
X@dirrm etc/gnucash
END-of-finance/gnucash/pkg-plist
echo x - finance/gnucash/Makefile
sed 's/^X//' >finance/gnucash/Makefile << 'END-of-finance/gnucash/Makefile'
X# Ports collection makefile for:  gnucash
X# Date created:			  Mon Feb 03, 1997
X# Whom:				  David O'Brien (obrien@NUXI.com)
X#
X# $FreeBSD: ports/finance/gnucash/Makefile,v 1.83 2005/09/15 07:11:15
linimon Exp $
X#
X
XPORTNAME=	gnucash
XPORTVERSION=	1.8.12
XCATEGORIES=	finance gnome
XMASTER_SITES=	http://www.gnucash.org/pub/gnucash/sources/stable/ \
X		${MASTER_SITE_SOURCEFORGE}
XMASTER_SITE_SUBDIR=	gnucash
X
XMAINTAINER=	ports@FreeBSD.org
XCOMMENT=	Quicken-like money and finance manager
X
XLIB_DEPENDS=	guile.15:${PORTSDIR}/lang/guile \
X		guppi.16:${PORTSDIR}/math/guppi \
X		popt.0:${PORTSDIR}/devel/popt \
X		ofx.2:${PORTSDIR}/finance/libofx \
X		gw-standard.0:${PORTSDIR}/devel/g-wrap
XRUN_DEPENDS=	${LOCALBASE}/share/guile/slibcat:${PORTSDIR}/lang/slib-guile \
X		${SITE_PERL}/HTML/Base.pm:${PORTSDIR}/www/p5-HTML \
X		${SITE_PERL}/LWP.pm:${PORTSDIR}/www/p5-libwww \
X		${SITE_PERL}/Date/Manip.pm:${PORTSDIR}/devel/p5-Date-Manip \
X		${SITE_PERL}/Finance/Quote.pm:${PORTSDIR}/finance/p5-Finance-Quote \
X	
${SITE_PERL}/Finance/QuoteHist.pm:${PORTSDIR}/finance/p5-Finance-QuoteHist \
X	
${X11BASE}/share/gnome/omf/gnucash-docs/gnucash-guide-C.omf:${PORTSDIR}/finance/gnucash-docs
X
XOPTIONS=	AQBANKING	"AqBanking support (HBCI/OpenHBCI)"	off
X
XUSE_X_PREFIX=	yes
XUSE_GMAKE=	yes
XUSE_XPM=	yes
XUSE_PERL5=	yes
XUSE_GNOME=	gnomeprefix gnomehack gnomeprint libglade gtkhtml libghttp
intltool
XUSE_REINPLACE=	yes
XGNU_CONFIGURE=	yes
XINSTALLS_SHLIB=	yes
XCONFIGURE_ARGS=	--with-glib-config=${GLIB_CONFIG} \
X		--enable-ofx \
X		--disable-error-on-warning
XCONFIGURE_ENV=	CPPFLAGS="-I${LOCALBASE}/include -I${X11BASE}/include" \
X		LIBS="-L${LOCALBASE}/lib -L${X11BASE}/lib -lintl"
X
XMAN1=		gnc-prices.1 gnucash.1
XINFO=		gnucash-design
X
X.include <bsd.port.pre.mk>
X
X.if exists(${LOCALBASE}/include/db41/db_185.h)
XLIB_DEPENDS+=	db41.1:${PORTSDIR}/databases/db41
Xpost-patch:
X	@${REINPLACE_CMD} -e "s|db4/db_185.h|db41/db_185.h|g" \
X		${WRKSRC}/configure
X.else
XLIB_DEPENDS+=	db4.0:${PORTSDIR}/databases/db4
X.endif
X
X# WITH_OPENHBCI is old synonym for aqbanking option
X.if defined(WITH_AQBANKING) || defined(WITH_OPENHBCI)
XLIB_DEPENDS+=	aqbanking.8:${PORTSDIR}/finance/aqbanking \
X		ktoblzcheck.1:${PORTSDIR}/finance/ktoblzcheck
XCONFIGURE_ARGS+=--enable-hbci
XPLIST_SUB=	AQBANKING=""
X.else
XCONFIGURE_ARGS+=--disable-hbci
XPLIST_SUB=	AQBANKING="@comment "
X.endif
X
Xpost-configure:
X	@${RM} ${WRKSRC}/src/doc/design/gnucash-design.info
X
X.include <bsd.port.post.mk>
END-of-finance/gnucash/Makefile
exit
Comment 4 Marcus Alves Grando freebsd_committer 2005-11-09 23:11:52 UTC
State Changed
From-To: feedback->open

Feedback received.
Comment 5 Volker Stolz freebsd_committer 2005-11-15 12:56:06 UTC
State Changed
From-To: open->feedback

Can you please submit the updated patch in 'unified diff'-format again?
Comment 6 Alex Varju 2005-11-19 22:35:37 UTC
>Submitter-Id:	current-users
>Originator:	Alex Varju
>Organization:	WebCT
>Confidential:	no
>Synopsis:	Re: ports/87703: [PATCH] finance/gnucash: update to 1.8.12
>Severity:	non-critical
>Priority:	low
>Category:	ports
>Class:		update
>Release:	FreeBSD 5.3-STABLE i386
>Environment:
System: FreeBSD snapple.webct.com 5.3-STABLE FreeBSD 5.3-STABLE #13: Wed Nov  3 11:31:28 PST 2004     varju@snapple.webct.com:/usr/obj/usr/src/sys/SNAPPLE  i386

>Description:
- Resubmit update to 1.8.12

Added file(s):
- files/patch-intltool-merge.in

Generated with FreeBSD Port Tools 0.63
>How-To-Repeat:
>Fix:

--- gnucash-1.8.12.patch begins here ---
Index: Makefile
===================================================================
RCS file: /home/freebsd/cvsroot/ports/finance/gnucash/Makefile,v
retrieving revision 1.83
diff -u -u -r1.83 Makefile
--- Makefile	15 Sep 2005 07:11:15 -0000	1.83
+++ Makefile	30 Oct 2005 01:14:30 -0000
@@ -6,8 +6,7 @@
 #
 
 PORTNAME=	gnucash
-PORTVERSION=	1.8.11
-PORTREVISION=	1
+PORTVERSION=	1.8.12
 CATEGORIES=	finance gnome
 MASTER_SITES=	http://www.gnucash.org/pub/gnucash/sources/stable/ \
 		${MASTER_SITE_SOURCEFORGE}
@@ -35,7 +34,7 @@
 USE_GMAKE=	yes
 USE_XPM=	yes
 USE_PERL5=	yes
-USE_GNOME=	gnomeprefix gnomehack gnomeprint libglade gtkhtml libghttp
+USE_GNOME=	gnomeprefix gnomehack gnomeprint libglade gtkhtml libghttp intltool
 USE_REINPLACE=	yes
 GNU_CONFIGURE=	yes
 INSTALLS_SHLIB=	yes
@@ -61,11 +60,13 @@
 
 # WITH_OPENHBCI is old synonym for aqbanking option
 .if defined(WITH_AQBANKING) || defined(WITH_OPENHBCI)
-LIB_DEPENDS+=	aqbanking.5:${PORTSDIR}/finance/aqbanking \
-		ktoblzcheck.1:${PORTSDIR}/finance/ktoblzcheck
+LIB_DEPENDS+=	aqbanking.8:${PORTSDIR}/finance/aqbanking \
+		ktoblzcheck.4:${PORTSDIR}/finance/ktoblzcheck
 CONFIGURE_ARGS+=--enable-hbci
+PLIST_SUB=	AQBANKING=""
 .else
 CONFIGURE_ARGS+=--disable-hbci
+PLIST_SUB=	AQBANKING="@comment "
 .endif
 
 post-configure:
Index: distinfo
===================================================================
RCS file: /home/freebsd/cvsroot/ports/finance/gnucash/distinfo,v
retrieving revision 1.30
diff -u -u -r1.30 distinfo
--- distinfo	12 Feb 2005 00:14:56 -0000	1.30
+++ distinfo	20 Oct 2005 03:59:12 -0000
@@ -1,2 +1,2 @@
-MD5 (gnucash-1.8.11.tar.gz) = 62f94331936e37ed1b1d28b5a1863bb3
-SIZE (gnucash-1.8.11.tar.gz) = 7822353
+MD5 (gnucash-1.8.12.tar.gz) = 81e7c703db56bb203e106664157779cc
+SIZE (gnucash-1.8.12.tar.gz) = 8290229
Index: pkg-plist
===================================================================
RCS file: /home/freebsd/cvsroot/ports/finance/gnucash/pkg-plist,v
retrieving revision 1.32
diff -u -u -r1.32 pkg-plist
--- pkg-plist	12 Feb 2005 00:14:56 -0000	1.32
+++ pkg-plist	21 Oct 2005 04:16:04 -0000
@@ -460,50 +460,6 @@
 share/gnome/gnucash/doc/examples/web.qif
 share/gnome/gnucash/doc/examples/xfer.xac
 share/gnome/gnucash/doc/guile-hackers.txt
-share/gnome/gnucash/doc/html/Account_8h.html
-share/gnome/gnucash/doc/html/SchedXaction_8h.html
-share/gnome/gnucash/doc/html/TransLog_8h.html
-share/gnome/gnucash/doc/html/Transaction_8h.html
-share/gnome/gnucash/doc/html/annotated.html
-share/gnome/gnucash/doc/html/classes.html
-share/gnome/gnucash/doc/html/combocell_8h.html
-share/gnome/gnucash/doc/html/date_8h.html
-share/gnome/gnucash/doc/html/doxygen.css
-share/gnome/gnucash/doc/html/doxygen.gif
-share/gnome/gnucash/doc/html/files.html
-share/gnome/gnucash/doc/html/functions.html
-share/gnome/gnucash/doc/html/globals.html
-share/gnome/gnucash/doc/html/gnc-hbci-trans-templ_8h.html
-share/gnome/gnucash/doc/html/gnc-log-replay_8h.html
-share/gnome/gnucash/doc/html/gnc-ofx-import_8h.html
-share/gnome/gnucash/doc/html/gnc-pricedb_8h.html
-share/gnome/gnucash/doc/html/gnc-ui-util_8h.html
-share/gnome/gnucash/doc/html/group__Account__Quickfill.html
-share/gnome/gnucash/doc/html/group__Date.html
-share/gnome/gnucash/doc/html/group__Engine.html
-share/gnome/gnucash/doc/html/group__Import__Export.html
-share/gnome/gnucash/doc/html/group__UI.html
-share/gnome/gnucash/doc/html/import-account-matcher_8h.html
-share/gnome/gnucash/doc/html/import-backend_8h.html
-share/gnome/gnucash/doc/html/import-commodity-matcher_8h.html
-share/gnome/gnucash/doc/html/import-main-matcher_8h.html
-share/gnome/gnucash/doc/html/import-match-map_8h.html
-share/gnome/gnucash/doc/html/import-match-picker_8h.html
-share/gnome/gnucash/doc/html/import-settings_8h.html
-share/gnome/gnucash/doc/html/import-utilities_8h.html
-share/gnome/gnucash/doc/html/index.html
-share/gnome/gnucash/doc/html/modules.html
-share/gnome/gnucash/doc/html/structGNCDateEdit.html
-share/gnome/gnucash/doc/html/struct__FormulaCell.html
-share/gnome/gnucash/doc/html/struct__GNCFrequency.html
-share/gnome/gnucash/doc/html/struct__temporalStateData.html
-share/gnome/gnucash/doc/html/structaccount__group__s.html
-share/gnome/gnucash/doc/html/structaccount__s.html
-share/gnome/gnucash/doc/html/structgnc__template__xaction__data.html
-share/gnome/gnucash/doc/html/structgncp__SchedXaction.html
-share/gnome/gnucash/doc/html/structgncp__freq__spec.html
-share/gnome/gnucash/doc/html/structsplit__s.html
-share/gnome/gnucash/doc/html/structtimespec64.html
 share/gnome/gnucash/doc/projects.html
 share/gnome/gnucash/finance-quote-check
 share/gnome/gnucash/finance-quote-helper
@@ -519,6 +475,8 @@
 share/gnome/gnucash/glade/fincalc.glade
 share/gnome/gnucash/glade/generic-import.glade
 share/gnome/gnucash/glade/gnc-date-format.glade
+%%AQBANKING%%share/gnome/gnucash/glade/hbci.glade
+%%AQBANKING%%share/gnome/gnucash/glade/hbcipass.glade
 share/gnome/gnucash/glade/help.glade
 share/gnome/gnucash/glade/invoice.glade
 share/gnome/gnucash/glade/job.glade
@@ -646,6 +604,7 @@
 share/gnome/gnucash/scm/gnc-numeric.scm
 share/gnome/gnucash/scm/gnumeric/gnumeric-utilities.scm
 share/gnome/gnucash/scm/gnumeric/table-utils.scm
+%%AQBANKING%%share/gnome/gnucash/scm/hbci/hbci.scm
 share/gnome/gnucash/scm/help-topics-index.scm
 share/gnome/gnucash/scm/hooks.scm
 share/gnome/gnucash/scm/html-barchart.scm
@@ -724,6 +683,7 @@
 @dirrm share/gnome/gnucash/scm/printing
 @dirrm share/gnome/gnucash/scm/ofx
 @dirrm share/gnome/gnucash/scm/log-replay
+%%AQBANKING%%@dirrm share/gnome/gnucash/scm/hbci
 @dirrm share/gnome/gnucash/scm/gnumeric
 @dirrm share/gnome/gnucash/scm/generic-import
 @dirrm share/gnome/gnucash/scm
Index: files/patch-Makefile.in
===================================================================
RCS file: /home/freebsd/cvsroot/ports/finance/gnucash/files/patch-Makefile.in,v
retrieving revision 1.2
diff -u -u -r1.2 patch-Makefile.in
--- files/patch-Makefile.in	18 Dec 2003 17:50:56 -0000	1.2
+++ files/patch-Makefile.in	20 Oct 2005 04:06:48 -0000
@@ -1,11 +1,11 @@
---- Makefile.in.orig	Wed Dec 17 13:21:00 2003
-+++ Makefile.in	Wed Dec 17 13:22:34 2003
-@@ -227,7 +227,7 @@
- enable_html_docs = @enable_html_docs@
- enable_latex_docs = @enable_latex_docs@
- 
+--- Makefile.in~	Wed Oct 19 21:05:51 2005
++++ Makefile.in	Wed Oct 19 21:06:29 2005
+@@ -412,7 +412,7 @@
+ sharedstatedir = @sharedstatedir@
+ sysconfdir = @sysconfdir@
+ target_alias = @target_alias@
 -SUBDIRS = intl  m4  macros doc lib src intl-scm po rpm accounts
 +SUBDIRS = m4  macros doc lib src intl-scm po rpm accounts
- 
  docdir = ${GNC_DOC_INSTALL_DIR}
- 
+ @GNC_FALSE@dummy_SOURCES = dummy.c
+ noinst_DATA = make-gnucash-patch make-gnucash-potfiles
Index: files/patch-configure
===================================================================
RCS file: /home/freebsd/cvsroot/ports/finance/gnucash/files/patch-configure,v
retrieving revision 1.11
diff -u -u -r1.11 patch-configure
--- files/patch-configure	25 Sep 2003 05:17:05 -0000	1.11
+++ files/patch-configure	21 Oct 2005 04:12:36 -0000
@@ -1,33 +1,44 @@
---- configure.orig	Sun Sep 21 16:06:57 2003
-+++ configure	Sun Sep 21 16:07:24 2003
-@@ -3860,10 +3860,10 @@
- #include "confdefs.h"
+--- configure.orig	Thu Oct 20 21:05:33 2005
++++ configure	Thu Oct 20 21:12:31 2005
+@@ -9710,12 +9710,12 @@
+ /* end confdefs.h.  */
  #include <libintl.h>
  extern int _nl_msg_cat_cntr;
 -extern int *_nl_domain_bindings;
 +extern int *libintl_nl_domain_bindings;
- int main() {
+ int
+ main ()
+ {
  bindtextdomain ("", "");
 -return (int) gettext ("") + _nl_msg_cat_cntr + *_nl_domain_bindings
 +return (int) gettext ("") + _nl_msg_cat_cntr + *libintl_nl_domain_bindings
- ; return 0; }
- EOF
- if { (eval echo configure:3870: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
-@@ -11776,7 +11776,7 @@
+   ;
+   return 0;
+ }
+@@ -20102,7 +20102,7 @@
    withval="$with_help_prefix"
    GNC_HELPDIR="$with_help_prefix/gnome/help/gnucash"
  else
 -  GNC_HELPDIR="\${datadir}/gnome/help/gnucash"
 +  GNC_HELPDIR="\${datadir}/help/gnucash"
- fi
+ fi;
  
  
-@@ -13665,7 +13665,7 @@
-   echo $ac_n "(cached) $ac_c" 1>&6
- else
-   ac_save_LIBS="$LIBS"
--LIBS="-lgtkhtml $GTKHTML_LIBS $LIBS"
-+LIBS="-lgtkhtml-1.1 $GTKHTML_LIBS $LIBS"
- cat > conftest.$ac_ext <<EOF
- #line 13671 "configure"
- #include "confdefs.h"
+@@ -21587,7 +21587,7 @@
+ 
+ 
+ 
+-for ac_header in db_185.h db1/db.h db4/db_185.h
++for ac_header in db_185.h db1/db.h db41/db_185.h
+ do
+ as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
+ if eval "test \"\${$as_ac_Header+set}\" = set"; then
+@@ -21750,7 +21750,7 @@
+ 
+ 
+ 
+-for ac_header in db.h db_185.h db1/db.h db4/db_185.h
++for ac_header in db.h db_185.h db1/db.h db41/db_185.h
+ do
+ as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
+ if eval "test \"\${$as_ac_Header+set}\" = set"; then
Index: files/patch-intltool-merge.in
===================================================================
RCS file: files/patch-intltool-merge.in
diff -N files/patch-intltool-merge.in
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ files/patch-intltool-merge.in	21 Oct 2005 04:12:00 -0000
@@ -0,0 +1,11 @@
+--- intltool-merge.in.orig	Wed Nov 12 15:29:28 2003
++++ intltool-merge.in	Wed Nov 12 15:31:54 2003
+@@ -858,7 +858,7 @@
+     if ($MULTIPLE_OUTPUT) {
+         for my $lang (sort keys %po_files_by_lang) {
+ 	    if ( ! -e $lang ) {
+-	        mkdir $lang or die "Cannot create subdirectory $lang: $!\n";
++	        mkdir $lang, 0777 or die "Cannot create subdirectory $lang: $!\n";
+             }
+             open OUTPUT, ">$lang/$OUTFILE" or die "Cannot open $lang/$OUTFILE: $!\n";
+             my $tree = readXml($FILE);
Index: files/patch-po::ru.po
===================================================================
RCS file: /home/freebsd/cvsroot/ports/finance/gnucash/files/patch-po::ru.po,v
retrieving revision 1.3
diff -u -u -r1.3 patch-po::ru.po
--- files/patch-po::ru.po	12 Feb 2003 04:28:13 -0000	1.3
+++ files/patch-po::ru.po	20 Oct 2005 04:10:08 -0000
@@ -1,6 +1,6 @@
---- po/ru.po.orig	Mon Feb 10 01:52:51 2003
-+++ po/ru.po	Tue Feb 11 22:29:55 2003
-@@ -4767,7 +4767,7 @@
+--- po/ru.po.orig	Sun Oct 16 13:14:00 2005
++++ po/ru.po	Wed Oct 19 21:10:01 2005
+@@ -4953,7 +4953,7 @@
  
  #: src/gnome/dialog-totd.c:303
  msgid "-*-helvetica-bold-r-normal-*-*-180-*-*-p-*-*-*"
@@ -9,7 +9,7 @@
  
  #: src/gnome/dialog-totd.c:304
  msgid "Tip of the Day:"
-@@ -8574,12 +8574,12 @@
+@@ -8660,12 +8660,12 @@
  msgid ""
  "register-default-font:-adobe-helvetica-medium-r-normal--*-120-*-*-*-*-*-*"
  msgstr ""
@@ -17,7 +17,7 @@
 +"register-hint-font:-cronyx-helvetica-medium-o-normal--*-120-*-*-*-*-*-*"
  
  #: src/register/register-gnome/gnucash-style.c:819
- #: intl-scm/guile-strings.c:248
+ #: intl-scm/guile-strings.c:1093
  msgid "register-hint-font:-adobe-helvetica-medium-o-normal--*-120-*-*-*-*-*-*"
 -msgstr "register-hint-font:-rfx-helvetica-medium-o-normal--*-120-*-*-*-*-*-*"
 +msgstr "register-hint-font:-cronyx-helvetica-medium-o-normal--*-120-*-*-*-*-*-*"
Index: files/patch-src::gnome::Makefile.in
===================================================================
RCS file: /home/freebsd/cvsroot/ports/finance/gnucash/files/patch-src::gnome::Makefile.in,v
retrieving revision 1.1
diff -u -u -r1.1 patch-src::gnome::Makefile.in
--- files/patch-src::gnome::Makefile.in	11 Jul 2002 17:15:57 -0000	1.1
+++ files/patch-src::gnome::Makefile.in	20 Oct 2005 04:11:12 -0000
@@ -1,14 +1,11 @@
-
-$FreeBSD: ports/finance/gnucash/files/patch-src::gnome::Makefile.in,v 1.1 2002/07/11 17:15:57 sobomax Exp $
-
---- src/gnome/Makefile.in	2002/07/11 09:16:01	1.1
-+++ src/gnome/Makefile.in	2002/07/11 09:16:10
-@@ -226,7 +226,7 @@
-   window-report.c
- 
+--- src/gnome/Makefile.in.orig	Wed Oct 19 21:10:12 2005
++++ src/gnome/Makefile.in	Wed Oct 19 21:10:41 2005
+@@ -470,7 +470,7 @@
+   window-reconcile.c \
+   window-register.c
  
 -gnomeappdir = ${datadir}/gnome/apps/Applications
 +gnomeappdir = ${datadir}/apps/Applications
- 
- gnomeapp_DATA = gnucash.desktop
- 
+ gnomeapp_in_files = gnucash.desktop.in
+ gnomeapp_DATA = $(gnomeapp_in_files:.desktop.in=.desktop)
+ appicondir = $(datadir)/pixmaps
Index: files/patch-src_doc_Makefile.in
===================================================================
RCS file: /home/freebsd/cvsroot/ports/finance/gnucash/files/patch-src_doc_Makefile.in,v
retrieving revision 1.1
diff -u -u -r1.1 patch-src_doc_Makefile.in
--- files/patch-src_doc_Makefile.in	5 Feb 2003 06:12:43 -0000	1.1
+++ files/patch-src_doc_Makefile.in	20 Oct 2005 04:23:20 -0000
@@ -1,11 +1,11 @@
---- src/doc/Makefile.in.orig	Tue Feb  4 23:55:03 2003
-+++ src/doc/Makefile.in	Tue Feb  4 23:58:49 2003
-@@ -492,7 +492,7 @@
+--- src/doc/Makefile.in.orig	Wed Oct 19 21:11:16 2005
++++ src/doc/Makefile.in	Wed Oct 19 21:23:15 2005
+@@ -726,7 +726,7 @@
  	$(mkinstalldirs) $(DESTDIR)$(docdir)/html
  	mkdir -p html #Workaround to allow libofx-cvs user to install without doc.
  #	cp -rp $(srcdir)/html ${docdir}
 -	cp -rp html $(DESTDIR)$(docdir)/html
-+	cp -rp html/* $(DESTDIR)$(docdir)/html
++	cp -rp html $(DESTDIR)$(docdir)
  
  uninstall-hook:
  	rm -rf ${docdir}/html
--- gnucash-1.8.12.patch ends here ---
Comment 7 Sergey Matveychuk freebsd_committer 2005-11-25 20:05:17 UTC
State Changed
From-To: feedback->open

Feedback received
Comment 8 Pav Lucistnik freebsd_committer 2005-11-26 00:42:56 UTC
State Changed
From-To: open->closed

Committed, thanks!